<?php
use WTM\TeamManager\Helper;

  if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
  while ( $tm_loop->have_posts() ) :
  
      $tm_loop->the_post();
      
      $job_title = get_post_meta( $tm_loop->post->ID, 'tm_jtitle', true );
      $short_bio = get_post_meta( $tm_loop->post->ID, 'tm_short_bio', true );
      ?>
  
          <div <?php post_class('team-member-info wtm-col-'.esc_attr( $settings['tablet_column'] ).' wtm-col-lg-'.esc_attr( $settings['large_column'] ).' wtm-col-md-'.esc_attr( $settings['mobile_column'] ).''); ?>>
          <div class="team-member-info-content"> 
          <header>
            <?php if(!$disable_single_template): ?>
           <a href="<?php echo get_permalink(); ?>">
           <?php endif;?>
           <?php echo Helper::get_team_picture( $tm_loop->post->ID, $image_size, 'dwl-box-shadow' ); ?>
           <?php if(!$disable_single_template): ?>
           </a>
           <?php endif;?>
          </header>
          
          <div class="team-member-des">
            <h2 class="team-member-title"><?php the_title(); ?></h2>
            <?php if( !empty( $job_title ) ): ?>
              <h4 class="team-position"><?php echo esc_html( $job_title ); ?></h4>
            <?php endif;?>
            <div class="team-short-bio">
            <?php if( !empty( $short_bio ) ): ?>
              <?php echo wp_kses_post( $short_bio ); ?>
              <?php else: ?>
                <?php echo wp_trim_words( get_the_content(), 40, '...' ); ?>
            <?php endif; ?>
            </div>
            <?php if('yes' == $settings['show_other_info']) : ?>
            <?php echo Helper::get_team_other_infos( $tm_loop->post->ID ); ?>
            <?php endif; ?>
            <?php if('yes' == $settings['show_social']) : ?>
              <?php echo Helper::get_team_social_links($tm_loop->post->ID); ?>
            <?php endif; ?>
            
          </div>
          </div>
          </div>
  
          <?php
  
  endwhile;